Subject: bug#31901: Incorrect make-network-process + nowait state handling for non-existing unix sockets in emacs-26.1

From: Mike Kazantsev <[email-masked]>
Date: Sun, 22 Jul 2018 20:38:16 +0500

On Sun, 22 Jul 2018 17:23:45 +0200
Lars Ingebrigtsen <[email-masked]> wrote:

> Mike Kazantsev <[email-masked]> writes:
> 
> > Given either of these guidelines, it'd be more surprising to not get
> > error state in the sentinel call with ":nowait t" in emacs-26.  
> 
> I agree, it would be better to get a sentinel callback.  But I don't
> think that's how it's ever worked, so that's not a regression.  But it
> could be a new feature for Emacs 27...

Yeah, guess so.

Though I thought how it works was supposed to change in emacs-26
already (as indicated by NEWS/documentation), which is why reverting to
emacs-25 behavior looks like a bug in itself.

But of course happy with it working either way, thanks for fixing it!

-- 
Mike Kazantsev // fraggod.net